commit: c48607f7c46bc6c6b44ef34be0d81b894c03fe3b
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 24 20:04:08 2025 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue Jun 24 20:10:14 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c48607f7
virtual/perl-Compress-Raw-Zlib: add 5.42 as provider
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
...Raw-Zlib-2.213.0.ebuild => perl-Compress-Raw-Zlib-2.213.0-r1.ebuild} | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git
a/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.213.0.ebuild
b/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.213.0-r1.ebuild
similarity index 87%
rename from virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.213.0.ebuild
rename to
virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.213.0-r1.ebuild
index d5520a50a879..d0a8ee297295 100644
--- a/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.213.0.ebuild
+++ b/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.213.0-r1.ebuild
@@ -8,7 +8,7 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv
~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos
~x64-solaris"
RDEPEND="
- ~perl-core/${PN#perl-}-${PV}
+ || ( =dev-lang/perl-5.42* ~perl-core/${PN#perl-}-${PV} )
dev-lang/perl:=
!<perl-core/${PN#perl-}-${PV}
!>perl-core/${PN#perl-}-${PV}-r999